let g:LangList = ['en', 'fr']

function! spelling#switch_dict() abort
  if !exists('b:CurrLang')
    let b:CurrLang=0
  endif

  let b:CurrLang=b:CurrLang+1
  if b:CurrLang>=len(g:LangList) | let b:CurrLang=0 | endif

  if b:CurrLang==0
    setlocal nospell
  else
    execute 'setlocal spell spelllang='.get(g:LangList, b:CurrLang)
  endif

  echo 'spell checking language:' g:LangList[b:CurrLang]
endfunction

function! spelling#detect_spell() abort
  let b:spelllang = &spell ? printf('[%s]', toupper(substitute(&spelllang, ',', '/', 'g'))) : ''
  return b:spelllang
endfunction
